# Sociyal

Yandex social buttons

## Installation

Add this line to your application's Gemfile:

    gem 'sociyal'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install sociyal

## Usage

Insert this block to view

    <%= sociyal %>

Optionaly you may use: `:services`, `:lang`, `:image`, `:type`.

Use `:services` option to specify buttons for which services should be displayed. The default services are: `:vkontakte`, `:facebook`, `:twitter`, `:lj`. Supported services: `:blogger`, `:delicious`, `:diary`, `:digg`, `:evernote`, `:facebook`, `:friendfeed`, `:gplus`, `:juick`, `:liveinternet`, `:linkedin`, `:lj`, `:moikrug`, `:moimir`, `:myspace`, `:odnoklassniki`, `:pinterest`, `:surfingbird`, `:tutby`, `:twitter`, `:vkontakte`, `:yazakladki`.

    <%= sociyal(services: [:twitter, :facebook]) %>

Use `:lang` option to specify the language for the buttons. The default value is `ru`. Supported values: `:az`,
`:be`, `:en`, `:hy`, `:ka`, `:kk`, `:ro`, `:ru`, `:tr`, `:tt`, `:uk`.

    <%= sociyal(lang: :ru) %>

Use `:image` option to specify the image for sharing on Pinterest. This option is useful only when `:services` option includes `:pinterest`.

    <%= sociyal(image: 'http://example.com/i/photo.jpg') %>

Use `:type` option to specify the appearance of the buttons. Default value is `:button`. Supported values: `:small`, `:button`, `:link`, `:icon`, `:none`.

    <%= sociyal(type: :small) %>

## Contributing

Your contribution is welcome.

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
