require File.expand_path('../lib/sociyal/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ['Alec Norman']
  gem.email         = ['']
  gem.summary       = 'Sociyal'
  gem.description   = 'Sociyal'
  gem.homepage      = 'https://github.com/astorre88/sociyal/'
  gem.license       = 'MIT'

  gem.files         = `git ls-files`.split($ORS)
  gem.executables   = gem.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^spec/})
  gem.name          = 'sociyal'
  gem.require_paths = ['lib']
  gem.version       = Sociyal::VERSION

  gem.add_runtime_dependency 'activesupport', '>= 4.2.6'

  gem.add_development_dependency 'rspec', '~> 3'
  gem.add_development_dependency 'actionpack', '~> 4'
  gem.add_development_dependency 'rubocop', '~> 0.30'
  gem.add_development_dependency 'cane', '~> 2.6', '>= 2.6.1'
  gem.add_development_dependency 'codeclimate-test-reporter', '~> 0.4'
end
